<img src="https://grstatic.oss-cn-shanghai.aliyuncs.com/images/rainbond%20log_full.png" width="60%">

[![Rainbond](https://jaywcjlove.github.io/sb/lang/english.svg)](README.md)
[![GitHub stars](https://img.shields.io/github/stars/goodrain/rainbond.svg?style=flat-square)](https://github.com/goodrain/rainbond/stargazers)
![Rainbond version](https://img.shields.io/badge/version-v5.X-brightgreen.svg)
[![GoDoc](https://godoc.org/github.com/goodrain/rainbond?status.svg)](https://godoc.org/github.com/goodrain/rainbond)

[项目官网](http://www.rainbond.com?channel=github) • [文档](https://www.rainbond.com/docs?channel=github)

## Rainbond 是什么

Rainbond 是一个云原生多云应用管理平台，使用简单，不需要懂容器、Kubernetes和底层复杂技术，支持管理多个Kubernetes集群，和管理企业应用全生命周期。主要功能包括应用开发环境、应用市场、微服务架构、应用交付、应用运维、应用级多云管理等。

<details>
  <summary><b>使用简单</b></summary>
	<ul>
    <li>只需一个命令安装体验</li>
		<li>支持6种常见开发语言，无需编写 Dockerfile 即可一键部署容器化应用</li>
		<li>零门槛落地 Kubernetes，无需编写 Yaml 文件部署应用</li>
		<li>80 余款开源软件即点即用，一键安装和升级</li>
	</ul>
</details>

<details>
  <summary><b>应用一键交付</b></summary>
  <ul>
    <li>企业应用一键安装与升级</li>
		<li>功能完备的企业级应用商店，构建行业应用生态</li>
		<li>支持多云交付、私有交付、SaaS交付、离线交付、个性化交付、应用市场等，实现各种<a href="https://mp.weixin.qq.com/s/2chigbtp8TzPdvJM4o7sOw" target="_blank">交付流程自动化</a></li>
	</ul>
</details>

<details>
  <summary><b>云原生转型</b></summary>
  <ul>
    <li>开箱即用的一体化云原生平台</li>
    <li><a href="https://www.rainbond.com/docs/#2%E4%B8%80%E6%AD%A5%E5%B0%86%E4%BC%A0%E7%BB%9F%E5%BA%94%E7%94%A8%E5%8F%98%E6%88%90%E4%BA%91%E5%8E%9F%E7%94%9F%E5%BA%94%E7%94%A8" target="_blank">一步将企业应用变成云原生应用</a></li>
    <li>无需了解 Kubernetes，即可通过 <a href="https://www.rainbond.com/docs/quick-start/quick-install#%E5%9F%BA%E4%BA%8E-web-%E7%95%8C%E9%9D%A2%E5%AE%89%E8%A3%85">Web 界面快速安装 Kubernetes</a>   </li>
    <li>各种数字化能力积累和复用</li>
  </ul>
</details>



## Rainbond 的功能和架构

![Rainbond-Arch](https://grstatic.oss-cn-shanghai.aliyuncs.com/case/2022/03/17/16474283190784.jpg)

有关 Rainbond 功能和架构的更多详细信息，请参阅 [Rainbond架构概述](https://www.rainbond.com/docs/quick-start/architecture/)

## 快速开始

* 请参阅 [快速安装](https://www.rainbond.com/docs/quick-start/quick-install?channel=github)
* 请参阅 [快速入门](https://www.rainbond.com/docs/quick-start/getting-started/?channel=github)

## 开源社区

如果你在使用 Rainbond 过程中遇到问题需要帮助，请参阅 [社区支持](https://www.rainbond.com/community/support/)。

或添加微信小助手加入 Rainbond 技术交流群:

<img width="20%" src="https://static.goodrain.com/wechat/weChat.jpg"/>

Slack: [Rainbond Slack 频道](https://join.slack.com/t/rainbond-slack/shared_invite/zt-1ft4g75pg-KJ0h_IAtvG9DMgeE_BNjZQ)

### 贡献

我们非常欢迎你参与 Rainbond 社区关于平台使用经验、标准化应用、插件分享等领域的贡献和分享。

若你是正在使用 Rainbond 的用户，且对 Rainbond 有深入的了解和技术路线的认同，在你的企业内部有较大的需求，我们非常欢迎你 [参与 Rainbond 贡献](https://www.rainbond.com/community/contribution/?channel=github)

## 周边项目

当前仓库为 Rainbond 数据中心端核心服务实现代码，项目还包括以下子项目：

- [Rainbond-Console](https://github.com/goodrain/rainbond-console) Rainbond 控制台服务端项目
- [Rainbond-Console-UI](https://github.com/goodrain/rainbond-ui) Rainbond 控制台前端项目
- [Rainbond-Operator](https://github.com/goodrain/rainbond-operator) Rainbond 安装运维项目
- [Rainbond-Cloud-adaptor](https://github.com/goodrain/cloud-adaptor) Rainbond 集群安装驱动服务
- [Rainbond-Builder](https://github.com/goodrain/builder) Rainbond 源码构建工具集
- [Rainbond-Docs](https://github.com/goodrain/rainbond-docs) Rainbond 文档

## License

Rainbond 遵循 LGPL-3.0 license 协议发布，详情查看 [LICENSE](https://github.com/goodrain/rainbond/blob/main/LICENSE) 及 [Licensing](https://github.com/goodrain/rainbond/blob/main/Licensing.md) 。
