<img src="https://grstatic.oss-cn-shanghai.aliyuncs.com/images/rainbond%20log_full.png" width="60%">

[![Rainbond](https://jaywcjlove.github.io/sb/lang/chinese.svg)](README-zh.md)
[![GitHub stars](https://img.shields.io/github/stars/goodrain/rainbond.svg?style=flat-square)](https://github.com/goodrain/rainbond/stargazers)
![Rainbond version](https://img.shields.io/badge/version-v5.X-brightgreen.svg)
[![GoDoc](https://godoc.org/github.com/goodrain/rainbond?status.svg)](https://godoc.org/github.com/goodrain/rainbond)

[Website](https://www.rainbond.com/en?channel=github) • [Documentation](https://www.rainbond.com/en/docs/?channel=github)

## What is Rainbond ?

Rainbond is a cloud native multi cloud application management platform, which is easy to use and does not need to understand containers, kubernetes and underlying complex technologies. It supports the management of multiple kubernetes clusters and the management of the whole life cycle of enterprise applications. The main functions include application development environment, application market, micro service architecture, application delivery, application operation and maintenance, application level multi cloud management, etc.

<details>
  <summary><b>Easy To Use</b></summary>
	<ul>
    <li>Just one command to install the experience</li>
		<li>Support 6 common development languages, One-click deployment of containerized applications without writing a Dockerfile</li>
		<li>Zero threshold landing Kubernetes, No need to write Yaml files</li>
		<li>80+ Open source Application OOTB, One-click installation and upgrade</li>
	</ul>
</details>

<details>
  <summary><b>Application Quick Delivery</b></summary>
  <ul>
    <li>One-click installation and upgrade of applications</li>
		<li>Full-featured enterprise app store, Build an industry application ecology</li>
		<li>Support multi-cloud delivery,private delivery, SaaS delivery, Offline delivery, Personalized delivery, App Store, etcd. realize various <a href="https://mp.weixin.qq.com/s/2chigbtp8TzPdvJM4o7sOw" target="_blank">Delivery process automation</a></li>
	</ul>
</details>

<details>
  <summary><b>Cloud Native Transformation</b></summary>
  <ul>
    <li>All-in-one cloud-native platform OOTB</li>
    <li><a href="https://www.rainbond.com/en/docs/#2-turn-traditional-applications-into-cloud-native-applications-in-one-step" target="_blank">Turn enterprise applications into cloud-native applications in one step</a></li>
    <li>No need to know  Kubernetes，Can pass <a href="https://www.rainbond.com/en/docs/quick-start/quick-install#%E5%9F%BA%E4%BA%8E-web-%E7%95%8C%E9%9D%A2%E5%AE%89%E8%A3%85">Web ui quick installation Kubernetes</a>   </li>
    <li>Accumulation and reuse of various digital capabilities</li>
  </ul>
</details>

## Rainbond function and architecture

![Rainbond-Arch](https://grstatic.oss-cn-shanghai.aliyuncs.com/case/2022/03/17/Rainbond-Arch-En.png)

For more details on Rainbond features and architecture, see [Rainbond Architecture Overview](https://www.rainbond.com/en/docs/quick-start/architecture/).

## Quick start

* Please ref [Quick installation](https://www.rainbond.com/en/docs/quick-start/quick-install/?channel=github)
* Please ref [Getting started](https://www.rainbond.com/en/docs/quick-start/getting-started/?channel=github)

## Community

If you have trouble using Rainbond and need help, Please ref [community support](https://www.rainbond.com/en/community/support/)

Slack: [Rainbond Slack Channel](https://join.slack.com/t/rainbond-slack/shared_invite/zt-1ft4g75pg-KJ0h_IAtvG9DMgeE_BNjZQ)

Or add WeChat assistant to join the Rainbond wechat group:

<img width="300px" src="https://static.goodrain.com/wechat/weChat.jpg"/>

### Contributing

We very much welcome you to participate in the contribution and sharing of platform experience, standardized applications, plug-in sharing and other fields in the rainbond community.

If you are a user who is using Rainbond, and you have a deep understanding of rainbond and agree with the technical route, and there is a great demand within your enterprise, we welcome you to [Participate in project contributions](https://www.rainbond.com/en/community/contribution/?channel=github)

## Related repositories

At present, the warehouse is the implementation code of the core service at the end of rainbond data center. The project also includes the following sub projects：

- [Rainbond-Console](https://github.com/goodrain/rainbond-console) Rainbond Console server project
- [Rainbond-Console-UI](https://github.com/goodrain/rainbond-ui) Rainbond Console front end project
- [Rainbond-Operator](https://github.com/goodrain/rainbond-operator) Rainbond Installation, operation and maintenance project
- [Rainbond-Cloud-adaptor](https://github.com/goodrain/cloud-adaptor) Rainbond Cluster installation driver service
- [Rainbond-Builder](https://github.com/goodrain/builder) Rainbond Source code construction Toolset
- [Rainbond-Docs](https://github.com/goodrain/rainbond-docs) Rainbond Documentation

## License

Rainbond follow LGPL-3.0 license, Details see [LICENSE](https://github.com/goodrain/rainbond/blob/main/LICENSE) and [Licensing](https://github.com/goodrain/rainbond/blob/main/Licensing.md)。
